vech.c File Reference

DSDPDataMat for sparse matrices in upper packed symmetric format. More...

Go to the source code of this file.

## Functions

int | DSDPGetVechMat (int n, int ishift, double alpha, const int ind[], const double val[], int nnz, struct DSDPDataMat_Ops **sops, void **smat)
| Given data in packed symmetric format, create a sparse matrix usuable by DSDP.

## Detailed Description

DSDPDataMat for sparse matrices in upper packed symmetric format.

Definition in file vech.c.

## Function Documentation

## DSDPGetVechMat()

int DSDPGetVechMat | ( | int | n,
|  | int | ishift,
|  | double | alpha,
|  | const int | ind[],
|  | const double | val[],
|  | int | nnz,
|  | struct DSDPDataMat_Ops ** | sops,
|  | void ** | smat
| ) |  |

Given data in packed symmetric format, create a sparse matrix usuable by DSDP.

Parameters

  n | number of rows and columns of the matrix
  ishift | the index of the first element in the matrix (usually 0)
  alpha | the multiple of these matrix.
  ind | array of indices for matrix.
  val | array of matrix values.
  nnz | size of arrays.
  sops | address of a pointer to a table of function pointers
  smat | address of a pointer to an opaque data type.

Definition at line 460 of file vech.c.